DomainDnssec
Active DNSSEC records of the domain: the ones of our zone with the standard nameservers, the ones set with PATCH /api/v3/domains/{domain_id}/dnssec with the external nameservers
ds_data object[]required
DS records
Array [
zone_ttlintegerrequired
TTL of the zone, in seconds
key_tagintegerrequired
Key tag of the DNSKEY the record refers to
key_algorithmintegerrequired
DNSSEC algorithm of the key, for example 8 (RSA/SHA-256) or 13 (ECDSAP256SHA256)
digest_typeintegerrequired
Algorithm of the digest, for example 1 (SHA-1), 2 (SHA-256) or 4 (SHA-384)
digest_valuestringrequired
Digest of the DNSKEY, in hexadecimal
]
key_data object[]required
DNSKEY records
Array [
zone_ttlintegerrequired
TTL of the zone, in seconds
flagsintegerrequired
Flags of the key: 256 for a zone signing key (ZSK), 257 for a key signing key (KSK)
key_protocolintegerrequired
Protocol of the key, 3 for DNSSEC
key_algorithmintegerrequired
DNSSEC algorithm of the key, for example 8 (RSA/SHA-256) or 13 (ECDSAP256SHA256)
public_keystringrequired
Public key, in base64
]
DomainDnssec
{
"ds_data": [
{
"zone_ttl": 0,
"key_tag": 0,
"key_algorithm": 0,
"digest_type": 0,
"digest_value": "string"
}
],
"key_data": [
{
"zone_ttl": 0,
"flags": 0,
"key_protocol": 0,
"key_algorithm": 0,
"public_key": "string"
}
]
}